> ## Documentation Index
> Fetch the complete documentation index at: https://help.memoryplugin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Memories

> Delete multiple memories in a single request.

## Overview

Delete multiple memories in a single request. More efficient than calling the single-delete endpoint repeatedly.

### Example

```bash theme={null}
curl -X POST https://www.memoryplugin.com/api/memories/bulk-delete \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "memoryIds": ["mem-id-1", "mem-id-2", "mem-id-3"]
  }'
```


## OpenAPI

````yaml POST /api/memories/bulk-delete
openapi: 3.1.0
info:
  title: MemoryPlugin
  version: 1.0.0
  description: API for managing and querying user memories
servers:
  - url: https://www.memoryplugin.com
security: []
paths:
  /api/memories/bulk-delete:
    post:
      summary: Bulk delete memories
      description: Delete multiple memories in a single request.
      operationId: BulkDeleteMemories
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                memoryIds:
                  type: array
                  items:
                    type: string
                  description: Array of memory IDs to delete.
              required:
                - memoryIds
      responses:
        '200':
          description: Memories deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: integer
                    description: Number of memories successfully deleted.
                  failed:
                    type: integer
                    description: Number of memories that failed to delete.
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        text:
          type: string
        score:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````